rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen.exe 94476 100 3 100 3" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen.exe 1231231 100 5 75 0" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen.exe 777 100 4 10 100" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\gen.exe 9539 100 30 100 0" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\gen.exe 6574 100 1 100 100" "tests\09" 9
call scripts\gen-input-via-stdout.bat "files\gen.exe 984 100 100 20 100" "tests\12" 12
call scripts\gen-input-via-stdout.bat "files\gen.exe 437434 1000 1000000 10000000 10000" "tests\13" 13
call scripts\gen-input-via-stdout.bat "files\gen.exe 94476 5000 2000 30000 3" "tests\14" 14
call scripts\gen-input-via-stdout.bat "files\gen.exe 777 50000 1000000000 1000000000 1000" "tests\15" 15
call scripts\gen-input-via-stdout.bat "files\gen_special.exe" "tests\16" 16
call scripts\gen-answer.bat tests\01 tests\01.a
call scripts\gen-answer.bat tests\02 tests\02.a
call scripts\gen-answer.bat tests\03 tests\03.a
call scripts\gen-answer.bat tests\04 tests\04.a
call scripts\gen-answer.bat tests\05 tests\05.a
call scripts\gen-answer.bat tests\06 tests\06.a
call scripts\gen-answer.bat tests\07 tests\07.a
call scripts\gen-answer.bat tests\08 tests\08.a
call scripts\gen-answer.bat tests\09 tests\09.a
call scripts\gen-answer.bat tests\10 tests\10.a
call scripts\gen-answer.bat tests\11 tests\11.a
call scripts\gen-answer.bat tests\12 tests\12.a
call scripts\gen-answer.bat tests\13 tests\13.a
call scripts\gen-answer.bat tests\14 tests\14.a
call scripts\gen-answer.bat tests\15 tests\15.a
call scripts\gen-answer.bat tests\16 tests\16.a
call scripts\gen-answer.bat tests\17 tests\17.a
call scripts\gen-answer.bat tests\18 tests\18.a
call scripts\gen-answer.bat tests\19 tests\19.a
call scripts\gen-answer.bat tests\20 tests\20.a

